Bug 28226 - tcl looks in the current directory for libs
tcl looks in the current directory for libs
Product: Red Hat Linux
Classification: Retired
Component: tcltk (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-18 07:08 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-10 11:24:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-18 07:08:35 EST
strace tcl and see where it looks for the library files.

eg: strace -o /tmp/twall tcl;grep 'open("' /tmp/twall |grep '\.so'

I don't think it should be looking in a directory off the currect directory
for the libs it needs. Its probably meant to be looking somewhere else?

Comment 1 Eido Inoue 2001-07-10 11:24:50 EDT
This should be fixed in the next round of patches and updates.
Comment 2 Mark J. Cox 2002-08-12 15:38:51 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.